Task
Get task request
Get a task request document by its document reference using the GET_TMT_DOCUMENT operation.
Authorizations:
bearerAuth
Request Body schema: application/jsonrequired
| id required | string id of the operation |
| jsonrpc required | string must be 2.0 |
| method required | string GET_TMT_DOCUMENT |
required | object |
Responses
Request samples
- Payload
Content type
application/json
{- "id": "GET_TMT_DOCUMENT-1",
- "method": "GET_TMT_DOCUMENT",
- "jsonrpc": "2.0",
- "params": {
- "docRef": "TaskRequest-dm/e9082a15-bb40-4a14-b319-4c9510d3ca0c"
}
}Response samples
- 200
Content type
application/json
{- "jsonrpc": "2.0",
- "id": "GET_TMT_DOCUMENT-1",
- "result": {
- "docRef": "TaskRequest-dm/e9082a15-bb40-4a14-b319-4c9510d3ca0c",
- "documentModelName": "TaskRequest-dm",
- "document": {
- "Root": {
- "DisplayFields": {
- "EstimatedTime": 1500
}, - "General": {
- "ProjectId": "P_6",
- "ProjectVersionNumber": "5.0.0",
- "Status": "DONE",
- "SubprojectId": "_",
- "TenantId": "T_1",
- "Type": "GENERATE_REPORT",
- "Visibility": "SHOW"
}, - "Metadata": {
- "CreatedBy": "tmtdoc",
- "CreatedOn": 1778128437285,
- "DisplayCreatedOn": "2026-05-07T04:33:57",
- "DisplayEditedOn": "2026-05-07T04:34:01",
- "EditedBy": "tmtdoc",
- "EditedOn": 1778128441858
}, - "Parameters": [
- {
- "Key": "lockingUsername",
- "Value": "tmtdoc###Chrome-147.0.0.0-Mac OS-10.15.7-Apple-Macintosh-false###46f2a07a-84b1-4c50-b28f-4efb0edf92be"
}, - {
- "Key": "operation",
- "Value": "PRINT_BY_DOCUMENT_DOC_REF"
}, - {
- "Key": "documentDocRef",
- "Value": "TestCase-dm/63227df9-2d7d-4ef6-b400-6d26a9ac788d"
}
]
}, - "__meta": {
- "createdAt": "2026-05-07T04:33:57",
- "creator": "SYSTEM",
- "docRef": "TaskRequest-dm/e9082a15-bb40-4a14-b319-4c9510d3ca0c",
- "modelReference": "TaskRequest-dm",
- "modelVersion": null,
- "modifiedAt": "2026-05-07T04:34:01",
- "modifier": "SYSTEM"
}
}
}
}